# Interface CapabilityHolder

public interface CapabilityHolder
Provides TAP service capability information.

Since:
  27 Jun 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.vo.TapCapability`
`getCapability()`
Returns TAPRegExt capability information for a TAP service.
`Element`
`getElement()`
Returns the top-level (presumably capabilities) element of the capabilities document.
`uk.ac.starlink.vo.StdCapabilityInterface[]`
`getInterfaces()`
Returns the list of declared capability/interface elements from a TAP service's capabilities endpoint.
`String`
`getServerHeader()`
Returns the content of the HTTP "Server" header attached to the response that supplied the capabilities.

## Method Details

### getElement

Element getElement()
Returns the top-level (presumably capabilities) element of the capabilities document.

Returns:
  document element

### getCapability

uk.ac.starlink.vo.TapCapability getCapability()
Returns TAPRegExt capability information for a TAP service.

Returns:
  table capabilities object; may be null if not available

### getInterfaces

uk.ac.starlink.vo.StdCapabilityInterface[] getInterfaces()
Returns the list of declared capability/interface elements from a TAP service's capabilities endpoint.

Returns:
  interfaces, or null if not available

### getServerHeader

String getServerHeader()
Returns the content of the HTTP "Server" header attached to the response that supplied the capabilities.

Returns:
  server header value, may be null